# Interface ScopeDescription

All Known Implementing Classes:
  `DefaultScopeDescription`

@UML(identifier="MD_ScopeDescription", specification=ISO_19115) public interface ScopeDescription
Description of the class of information covered by the information.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<? extends AttributeType>`
  `getAttributeInstances()`
  Attribute instances to which the information applies.
  `Set<? extends AttributeType>`
  `getAttributes()`
  Attributes to which the information applies.
  `String`
  `getDataset()`
  Dataset to which the information applies.
  `Set<? extends FeatureType>`
  `getFeatureInstances()`
  Feature instances to which the information applies.
  `Set<? extends FeatureType>`
  `getFeatures()`
  Features to which the information applies.
  `String`
  `getOther()`
  Class of information that does not fall into the other categories to which the information applies.

- ## Method Details

  - ### getAttributes

    @UML(identifier="attributes", obligation=CONDITIONAL, specification=ISO_19115) Set<? extends AttributeType> getAttributes()
    Attributes to which the information applies.
    Returns:
      Attributes to which the information applies.

  - ### getFeatures

    @UML(identifier="features", obligation=CONDITIONAL, specification=ISO_19115) Set<? extends FeatureType> getFeatures()
    Features to which the information applies.
    Returns:
      Features to which the information applies.

  - ### getFeatureInstances

    @UML(identifier="featureInstances", obligation=CONDITIONAL, specification=ISO_19115) Set<? extends FeatureType> getFeatureInstances()
    Feature instances to which the information applies.
    Returns:
      Feature instances to which the information applies.

  - ### getAttributeInstances

    @UML(identifier="attributeInstances", obligation=CONDITIONAL, specification=ISO_19115) Set<? extends AttributeType> getAttributeInstances()
    Attribute instances to which the information applies.
    Returns:
      Attribute instances to which the information applies.
    Since:
      2.1

  - ### getDataset

    @UML(identifier="dataset", obligation=CONDITIONAL, specification=ISO_19115) String getDataset()
    Dataset to which the information applies.
    Returns:
      Dataset to which the information applies.
    Since:
      2.1

  - ### getOther

    @UML(identifier="other", obligation=CONDITIONAL, specification=ISO_19115) String getOther()
    Class of information that does not fall into the other categories to which the information applies.
    Returns:
      Class of information that does not fall into the other categories.
    Since:
      2.1